Get Details of Loyalty Promotion using ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to retrive configuration details of a specific campaign. Instead of searching through broader lists, you can use this endpoint to retrieve and filter out the exact details of a single promotion, including its defined activities, milestones, and applied limits.

Example request

curl --location 'https://eu.api.capillarytech.com/v3/promotions/6903253184daf5486232dec9' \
--header 'Authorization: Basic Y3MmNhZjY1ZmY=' \
--header 'Cookie: _cfuvid=T3K.m2gK9VcrapHl6j6_t73Xeq0OAdOcgzk3_Y9mvlk-1765201565371-0.0.1.1-604800000'

Prerequisites

  • Authentication: Basic or OAuth authentication.
  • Default access group

Path parameters

Parameter NameData TypeDescription
promotionIdStringUnique ID of the promotion

Query parameters

FieldTypeRequiredDescription
includeDraftDetailsbooleanOptionalIndicates whether to include details about the draft version if a promotion exists as both a live version and a draft. true includes this extra draft info. Supported Values: true, false.
Default value is false.
includeParentDetailsbooleanOptionalIndicates whether to include details about the parent promotion if the retrieved promotion is a version or clone. true includes info about the original promotion. Supported Values: true, false.
Default value is false.

Example response

{
    "data": {
        "metadata": {
            "name": "Efd Activity Based Prom",
            "description": "Enrollment for all members, requires activity-based opt-in.",
            "programId": "HiddenGemDefaultProgram_ID",
            "orgId": 100458,
            "startDate": "2025-11-27T00:00:00Z",
            "endDate": "2025-12-27T23:59:59Z",
            "timezoneName": "Asia/Kolkata",
            "promotionType": "LOYALTY",
            "status": "DRAFT",
            "promoIdentifier": null,
            "promotionId": 0,
            "createdOn": "2025-10-30T08:43:29Z",
            "lastModifiedOn": "2025-10-30T08:43:29Z",
            "createdBy": 0,
            "lastModifiedBy": 0,
            "loyaltyEarningType": null,
            "version": null,
            "draftDetails": null,
            "loyaltyConfigMetaData": {
                "isStackable": false,
                "isConsideredForRanking": false,
                "isExclusive": false,
                "isAlwaysApply": false,
                "skipEarnedDateCheckOnRedeem": null
            },
            "promotionMetadata": null,
            "commonStrategies": null,
            "promotionMode": "UNIFIED"
        },
        "customerEnrolment": {
            "enrolmentMethod": "TRANSACTION"
        },
        "activities": [
            {
                "type": "SINGLE",
                "id": "activity_reward_trigger",
                "type": "SINGLE",
                "name": "Main Reward Activity",
                "commonCycleActionMapping": [
                    {
                        "cycle": "cycle_promo_period",
                        "actions": [
                            {
                                "id": "action_award_points",
                                "actionName": "AWARD_CURRENCY",
                                "actionClass": "com.capillary.loyalty.engine.actor.promotion.actions.AwardCurrency",
                                "mandatoryPropertiesValues": {
                                    "POINTS_TO_AWARD": "100",
                                    "CURRENCY_IDENTIFIER": "POINTS"
                                }
                            }
                        ],
                        "startDate": "2025-11-27",
                        "endDate": "2025-12-27"
                    }
                ],
                "event": "TransactionAdd",
                "allCycles": []
            }
        ],
        "comments": null,
        "parentId": null,
        "parentDetails": null,
        "version": 1,
        "limits": [],
        "liabilityOwnerSplitInfo": [],
        "id": "6903253184daf5486232dec9",
        "workflowMetadata": {
            "enrolment": {
                "basedOn": null,
                "activities": null,
                "audienceMapping": null,
                "restrictions": null
            },
            "optin": {
                "basedOn": "ACTIVITY",
                "audienceMapping": null,
                "activities": [
                    {
                        "type": "SINGLE",
                        "id": "activity_optin_trigger",
                        "type": "SINGLE",
                        "name": "Opt-in Trigger Activity",
                        "event": "TransactionAdd",
                        "allCycles": []
                    }
                ],
                "restrictions": null
            }
        },
        "communicationApprovalStatus": null
    },
    "errors": null,
    "warnings": null
}

Response parameters

FieldTypeDescription
dataObjectDefines the main data object containing pagination details and the list of promotions. Possible Values: A valid PageUnifiedPromotion object.
.totalElementsinteger (int64)Specifies the total number of promotions found matching the filter criteria across all pages. Possible Values: Non-negative integer.
.totalPagesinteger (int32)Specifies the total number of pages available based on the size parameter. Possible Values: Non-negative integer.
.sizeinteger (int32)Specifies the number of items requested per page (reflects the size query parameter). Possible Values: Positive integer.
.contentArray (Object)Defines the list of UnifiedPromotion objects for the current page. Possible Values: Array of UnifiedPromotion objects.
..idStringSpecifies the unique system-generated identifier for the unified promotion. Possible Values: System-generated unique string ID.
..metadataObjectDefines the object containing all metadata for the promotion (Metadata). Possible Values: A valid Metadata object.
...nameStringSpecifies the name of the promotion. Possible Values: String.
...descriptionStringSpecifies the description of the promotion. Possible Values: String.
...programIdStringSpecifies the program ID associated with the promotion. Possible Values: String or Integer Program ID.
...orgIdInteger (int64)Specifies the unique ID of the organization that owns this promotion.
...startDateString (date-time)Specifies the start date and time of the promotion in ISO 8601 format.
...endDateString (date-time)Specifies the end date and time of the promotion in ISO 8601 format.
...timezoneNameStringIANA time zone name for the promotion.
This is a reference label to identify the time zone where the promotion is created.
...promotionTypeStringSpecifies the type of promotion. Possible Values: LOYALTY, GENERIC, DISCOUNT.
...statusStringIndicates the current status of the promotion. Possible Values: DRAFT, ACTIVE,UPCOMING.
...promoIdentifierStringSpecifies a unique string identifier for the promotion.
...promotionIdInteger (int32)Specifies the legacy numerical promotion ID (system-assigned).
...createdOnString (date-time)Specifies the creation timestamp (system-set) in ISO 8601 format.
...lastModifiedOnString (date-time)Specifies the last modification timestamp (system-set) in ISO 8601 format.
...createdByInteger (int32)Specifies the user ID of the creator (system-set).
...lastModifiedByInteger (int32)Specifies the user ID of the last modifier (system-set).
...loyaltyEarningTypeStringIndicates the loyalty earning type. Possible Values: DIRECT_EARN, ISSUE_AND_EARN, null.
...versionStringSpecifies the version string of the promotion (system managed). Possible Values: String version identifier or null.
...draftDetailsObjectDefines details if the promotion is a draft (DraftDetails). Included if includeDraftDetails is true. Possible Values: A valid DraftDetails object or null.
....idStringSpecifies the draft's unique ID. Possible Values: String ID.
....statusStringSpecifies the draft's status. Possible Values: String status.
....versionInteger (int32)Specifies the draft version number. Possible Values: Integer.
....lastModifiedByInteger (int32)Specifies the user who last modified the draft. Possible Values: Integer user ID.
....lastModifiedOnString (date-time)Specifies when the draft was last modified, in ISO 8601 format.
...loyaltyConfigMetaDataObjectDefines loyalty-specific configurations (LoyaltyConfigMetaDto). Possible Values: A valid LoyaltyConfigMetaDto object.
....isStackableBooleanIndicates if the promotion can be applied alongside other active promotions within the same transaction.
....isConsideredForRankingBooleanIndicates if the promotion is included in priority ranking, which controls which promotions take precedence when multiple are applicable to the same transaction.
....isExclusiveBooleanIndicates if the promotion is evaluated in isolation, preventing any other promotion from being applied in the same transaction.
....isAlwaysApplyBooleanIndicates if the promotion is applied unconditionally, bypassing the ranking and stacking rules configured for the org.
....skipEarnedDateCheckOnRedeemBooleanIndicates if customers can redeem rewards from this promotion outside its active earning period.
...promotionMetadataArray (Object)Defines a list of custom key-value metadata pairs (PromotionMetadata). Possible Values: Array of PromotionMetadata objects or null.
....isBrandDefinedStringIndicates if this metadata key-value pair was configured by the brand, as opposed to being system-generated.
....keyStringSpecifies the identifier of the custom metadata attribute associated with the promotion.
....valueStringSpecifies the value associated with the metadata key.
...commonStrategiesObjectDefines common strategies, like expiry (CommonStrategies). Possible Values: A valid CommonStrategies object or null.
....expiryArray (Object)Defines a list of expiry strategies (StrategyInfo). Possible Values: Array of StrategyInfo objects.
.....strategyTypeIdInteger (int32)Specifies the strategy type ID. Possible Values: Integer ID.
.....propertyValuesStringSpecifies the property values for the strategy. Possible Values: JSON string.
.....ownerStringSpecifies the owner of the strategy. Possible Values: String.
.....updatedViaNewUIBooleanIndicates if this expiry strategy was last updated using the Loyalty+ UI.
.....useCommonExpiryStrategyBooleanIndicates if the promotion uses the org-level expiry strategy instead of a promotion-level configuration.
.....strategyRefStringSpecifies the strategy reference. Possible Values: String.
.....strategySubTypeStringIndicates the sub-type of the expiry strategy, such as a fixed expiry date or a rolling window from the date of issue.
...promotionModeStringIndicates the mode under which the promotion was created.
..customerEnrolmentObjectDefines the customer enrolment rules (CustomerEnrolment). Possible Values: A valid CustomerEnrolment object.
...enrolmentMethodStringIndicates the method of customer enrolment. Possible Values: TRANSACTION, IMPORT.
...audienceGroupsArray (Object)Defines a list of audience groups for enrolment (AudienceGroupDetails). Possible Values: Array of AudienceGroupDetails objects or null.
....audienceGroupIdInteger (int64)Specifies the unique ID for the audience group. Possible Values: Integer ID.
....audienceGroupNameStringSpecifies the name of the audience group. Possible Values: String.
....descriptionStringSpecifies the description of the audience group. Possible Values: String.
..activitiesArray (Object)Defines a list of activities (SingleActivity or GroupActivity). Possible Values: Array of valid Activity objects.
...idStringSpecifies the unique ID for the activity. Possible Values: String ID.
...typeStringSpecifies the type of the activity. Possible Values: SINGLE, GROUP.
...nameStringSpecifies the name of the activity. Possible Values: String.
...refIdStringSpecifies the reference ID for the activity. Possible Values: String or null.
...parentIdStringSpecifies the parent activity's ID. Possible Values: String ID or null.
...commonCycleActionMappingArray (Object)Defines action mappings for common cycles (CycleActionMapping). Possible Values: Array of CycleActionMapping objects.
....cycleStringSpecifies the cycle name/ID. Possible Values: String ID.
....defaultValueNumber (double)Specifies the default value for the action. Possible Values: Number or null.
....actionsArray (Object)Defines a list of actions (Action). Possible Values: Array of Action objects.
.....idStringSpecifies the action ID. Possible Values: String ID.
.....actionNameStringSpecifies the action name. Possible Values: String representing a valid action name.
.....actionClassStringSpecifies the action class. Possible Values: Fully qualified Java class name string.
.....descriptionStringSpecifies the action description. Possible Values: String or null.
.....mandatoryPropertiesValuesObjectDefines key-value pairs for mandatory properties. Possible Values: Object with string keys/values.
.....mandatoryComplexPropertiesValuesObjectDefines key-value pairs for mandatory complex properties. Possible Values: Object with string keys and object values, or null.
.....embeddedStrategiesArray (Object)Defines a list of embedded StrategyInfo objects. Possible Values: Array of StrategyInfo objects or null.
....startDateString (date-time)Specifies the cycle mapping start date, in ISO 8601 format.
....endDateString (date-time)Specifies the cycle mapping end date, in ISO 8601 format.
....rulesetIdStringSpecifies the cycle mapping ruleset ID. Possible Values: String ID or null.
...rulesetIdStringSpecifies the ruleset ID for the activity. Possible Values: String ID or null.
...cyclesArray (Object)Defines a list of general cycles (Cycle). Possible Values: Array of Cycle objects or null.
...eventStringSpecifies the event associated with the single activity. Possible Values: String event name.
...ruleExpressionStringSpecifies the rule expression for the single activity. Possible Values: String DSL or null.
...expJSONStringSpecifies the rule expression in JSON format.
...frequencyTypeStringSpecifies how often rewards can be earned within the promotion's active period.
...targetEvaluationTypeStringSpecifies the method used to evaluate whether qualifying events meet the promotion's target criteria.
...targetCycleStartDateString (date-time)Specifies the target cycle start date, in ISO 8601 format.
...targetCycleEndDateString (date-time)Specifies the target cycle end date. Possible Values: ISO 8601 date-time string or null.
...activityCyclesArray (Object)Defines the distinct earning periods associated with this activity, controlling when rewards are earned and reset.
...milestonesArray (Object)Defines milestones (Milestone). Possible Values: Array containing maximum one Milestone object.
...allCyclesArray (Object)Defines all earning and redemption cycles applicable to this activity, including their start and end dates.
--- Fields specific to GroupActivity ---
...eventStringSpecifies the trigger event that initiates evaluation of this activity group.
...combinationTypeStringIndicates how child activities are combined. Possible Values: ANY, ALL.
...childrenArray (Object)Defines an array of objects that contain child GroupActivity or SingleActivity objects.
...ruleExpressionStringSpecifies the conditional logic evaluated to determine if this activity group's rewards should be awarded.
...expJSONStringSpecifies the rule expression in JSON format.
..commentsStringSpecifies internal or administrative notes about the promotion for business stakeholders.
..parentIdStringSpecifies the original promotion ID when this is a version or derived instance, linking it back to its source.
..parentDetailsObjectDefines details of the parent promotion (ParentDetails). Included if includeParentDetails is true.
...idStringSpecifies the parent promotion ID. Possible Values: String ID.
...statusStringSpecifies the parent promotion status. Possible
...versionInteger (int32)Specifies the parent promotion version. Possible Values: Integer.
...lastModifiedByInteger (int32)Specifies the user who last modified the parent.
...lastModifiedOnString (date-time)Specifies when the parent was last modified, in ISO 8601 format.
..versionInteger (int32)Specifies the version number of the promotion. Possible Values: Integer version number (system-managed).
..limitsArray (Object)Defines a list of limits for the promotion (Limit). Possible Values: Array of Limit objects.
...idInteger (int64)Specifies the limit ID. Possible Values: Integer ID (system-assigned).
...entityScopeStringIndicates the scope of the limit. Possible Values: PROGRAM, PROMOTION.
...granularityStringIndicates the granularity of the limit. Possible Values: OVERALL, USER, PER_ACTIVITY.
...entityIdInteger (int64)Specifies the entity ID the limit applies to. Possible Values: Integer ID.
...actionTypeStringIndicates the action type being limited. Possible Values: AWARD_CURRENCY, AWARD_BADGE.
...actionSubTypeIdStringSpecifies the action sub-type ID. Possible Values: String identifier.
...limitTypeStringIndicates the type of limit. Possible Values: SUM, COUNT.
...limitValueNumberSpecifies the value of the limit. Possible Values: Number.
...periodObjectDefines the time period for the limit (LimitPeriod). Possible Values: A valid LimitPeriod object.
....idInteger (int64)Specifies the period ID. Possible Values: Integer ID (system-assigned).
....periodTypeStringIndicates the type of period. Possible Values: MOVING_WINDOW, FIXED_CALENDAR_WINDOW, NON_PERIOD_BASED, FIXED_WINDOW.
....periodUnitStringIndicates the unit for the period. Possible Values: DAYS, WEEKS, MONTHS, null.
....periodValueInteger (int32)Specifies the value for the period. Possible Values: Integer or null.
....periodStartDayStringIndicates the start day for weekly periods. Possible Values: SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, null.
....startDateString (date-time)Specifies the fixed start date for the period, in ISO 8601 format.
....endDateString (date-time)Specifies the fixed end date for the period, in ISO 8601 format.
...createdOnString (date-time)Specifies the creation timestamp of the limit, in ISO 8601 format.
...createdByInteger (int64)Specifies the user ID of the limit creator. Possible Values: Integer user ID (system-set).
...lastUpdatedOnString (date-time)Specifies the last update timestamp of the limit, in ISO 8601 format.
...lastUpdatedByInteger (int64)Specifies the user ID of the last updater.
...activeBooleanIndicates if the limit is active. Possible Values: true, false.
..liabilityOwnerSplitInfoArray (Object)Defines how liability is split (LiabilityOwnerSplitInfo). Possible Values: Array of LiabilityOwnerSplitInfo objects.
...orgIdInteger (int32)Specifies the organization ID. Possible Values: Integer Org ID.
...liabilityOwnerIdInteger (int32)Specifies the liability owner ID. Possible Values: Integer ID.
...componentIdInteger (int32)Specifies the component ID. Possible Values: Integer ID.
...componentTypeStringIndicates the component type. Possible Values: PROGRAM, PROMOTION.
...createdByInteger (int32)Specifies the user ID of the creator. Possible Values: Integer user ID.
...ratioNumber (double)Specifies the liability split ratio. Possible Values: Number between 0 and 1.
...liabilityOwnerNameStringSpecifies the liability owner's name. Possible Values: String.
...liabilityOwnerTypeStringIndicates the liability owner's type. Possible Values: PARTNER, PROGRAM.
...activeBooleanIndicates if the split info is active. Possible Values: true, false.
..workflowMetadataObjectDefines workflow metadata for enrolment and opt-in (WorkflowMetadata). Possible Values: A valid WorkflowMetadata object or null.
...enrolmentObjectDefines enrolment workflow details (Enrolment). Possible Values: A valid Enrolment object or empty object .
....basedOnStringIndicates the basis for enrolment. Possible Values: ACTIVITY, AUDIENCE, EXTERNAL_TRIGGER, null.
....activitiesArray (Object)Defines activities (SingleActivity/GroupActivity) triggering enrolment. Possible Values: Array of Activity objects or null.
....audienceMappingArray (Object)Defines audience mappings (AudienceMapping) for enrolment. Possible Values: Array of AudienceMapping objects or null.
.....groupIdInteger (int64)Specifies the group ID. Possible Values: Integer ID.
.....groupNameStringSpecifies the group name. Possible Values: String.
....restrictionsObjectDefines enrolment restrictions (PromotionRestrictions). Possible Values: A valid PromotionRestrictions object or null.
.....optinExpiryBasedOnObjectDefines opt-in expiry (PromotionExpiryConfig). Possible Values: A valid PromotionExpiryConfig object or null.
.....enrolmentExpiryBasedOnObjectDefines enrolment expiry (PromotionExpiryConfig). Possible Values: A valid PromotionExpiryConfig object or null.
.....optinLimitPerCustomerObjectDefines opt-in limit (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
.....maxRedemptionsPerEarnPerCustomerObjectDefines redemption limit (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
.....enrolmentLimitPerPromotionObjectDefines total enrolment limit (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
.....enrolmentLimitPerCustomerObjectDefines enrolment limit per customer (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
.....maxPointsPerEarnPerCustomerObjectDefines max points per earn limit (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
...optinObjectDefines opt-in workflow details (Optin). Possible Values: A valid Optin object or empty object .
....basedOnStringIndicates the basis for opt-in. Possible Values: ACTIVITY, AUDIENCE, EXTERNAL_TRIGGER, null.
....activitiesArray (Object)Defines activities (SingleActivity/ProupActivity) triggering opt-in. Possible Values: Array of Activity objects or null.
....audienceMappingArray (Object)Defines audience mappings (AudienceMapping) for opt-in. Possible Values: Array of AudienceMapping objects or null.
.....groupIdInteger (int64)Specifies the group ID. Possible Values: Integer ID.
.....groupNameStringSpecifies the group name. Possible Values: String.
....restrictionsObjectDefines opt-in restrictions (PromotionRestrictions). Possible Values: A valid PromotionRestrictions object or null.
.....optinExpiryBasedOnObjectDefines opt-in expiry (PromotionExpiryConfig). Possible Values: A valid PromotionExpiryConfig object or null.
.....enrolmentExpiryBasedOnObjectDefines enrolment expiry (PromotionExpiryConfig). Possible Values: A valid PromotionExpiryConfig object or null.
.....optinLimitPerCustomerObjectDefines opt-in limit (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
.....maxRedemptionsPerEarnPerCustomerObjectDefines redemption limit (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
.....enrolmentLimitPerPromotionObjectDefines total enrolment limit (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
.....enrolmentLimitPerCustomerObjectDefines enrolment limit per customer (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
.....maxPointsPerEarnPerCustomerObjectDefines max points per earn limit (PromotionRestrictionsConfig). Possible Values: A valid PromotionRestrictionsConfig object or null.
..communicationApprovalStatusObjectDefines the status of communication approval (BulkClaimApproveResponse). Possible Values: A valid BulkClaimApproveResponse object or null (system-set).
...successBooleanIndicates if the approval status check was successful. Possible Values: true, false.
...messageStringSpecifies the status message. Possible Values: String or null.
...responseObjectDefines the nested response object. Possible Values: Object or null.
...statusCodeInteger (int32)Specifies the status code. Possible Values: Integer HTTP status code or null.
.numberinteger (int32)Specifies the current page number (0-indexed). Possible Values: Non-negative integer.
.sortArray (Object)Defines the sorting rules applied to the results (SortObject). Possible Values: Array of SortObject objects.
..directionStringSpecifies the sort direction. Possible Values: String (e.g., "ASC", "DESC").
..nullHandlingStringSpecifies how null values are handled during sorting. Possible Values: String (e.g., "NATIVE", "NULLS_FIRST", "NULLS_LAST").
..ascendingBooleanIndicates if the sort direction is ascending. Possible Values: true, false.
..propertyStringSpecifies the field name used for sorting. Possible Values: String field name.
..ignoreCaseBooleanIndicates if case should be ignored during sorting (for string fields). Possible Values: true, false.
.pageableObjectDefines pagination details (PageableObject). Possible Values: A valid PageableObject object.
..offsetinteger (int64)Specifies the offset of the first element returned on the page. Possible Values: Non-negative integer.
..sortArray (Object)Defines the sorting rules applied (SortObject, same structure as .sort above). Possible Values: Array of SortObject objects.
..pageNumberinteger (int32)Specifies the current page number (0-indexed). Possible Values: Non-negative integer.
..pageSizeinteger (int32)Specifies the number of items requested per page. Possible Values: Positive integer.
..pagedBooleanIndicates if pagination is applied. Possible Values: true, false.
..unpagedBooleanIndicates if pagination is not applied. Possible Values: true, false.
.numberOfElementsinteger (int32)Specifies the number of promotions returned on the current page. Possible Values: Non-negative integer.
errorsArray (Object)Defines a list of errors that occurred, if any (ApiError). Possible Values: Array of ApiError objects or null.
.codeInteger (int64)Specifies the error code. Possible Values: Integer error code.
.messageStringSpecifies the error message. Possible Values: String error description.
warningsArray (Object)Defines a list of warnings, if any (ApiWarning). Possible Values: Array of ApiWarning objects or null.
.messageStringSpecifies the warning message. Possible Values: String warning description.

Warning messages

Warning messageDescription
Unable to enroll in promotions. Customer already enrolled or limit reached.The customer is already enrolled in the promotion or the maximum enrollment limit has been reached.
Partial Success: Milestone enrollment failed.The main promotion enrollment was successful, but one or more milestone enrollments failed.
No upload details found for file: fileName.The promotion was retrieved, but recent upload status for individual milestone files could not be fetched.
Unable to enroll in promotions. No Response from service.The systems processed the request, but a downstream service did not return a confirmation, leading to an uncertain state.

Error codes

Error CodeDescription
9013Request not found. Use a valid promotionId and ensure the promotion exists in the system.
300003Invalid Org Entity. Ensure the orgId associated with your token matches the promotion's organization.
300005Access denied. Your account does not have the necessary permissions to view this promotion.
310068Target details not found. The underlying target group details for this promotion are missing or inaccessible.
498Token Expired. The authentication token has expired. Please log in again to generate a new session.
Path Params
string
required
Headers
string
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json